{% load static %}
{% load steps %}
<span v-for="(group, groupIndex) in steps[currentStep].groups">
	<div v-show="steps[currentStep] && steps[currentStep].name == 'Кузов' && groupIndex === 0" class="report-group report-group_scheme">
    <div v-if="group.name" class="report-group__header">
        <h3 class="report-group__title">${ group.name }</h3>
    </div>
    <span v-if="group.name == 'Внешние элементы'">
      {% include 'report/inside_field.html' %}
    </span>
    <div class="report-group__body">
          <div  class="car-scheme" style="display: block">
              <div v-if="groupIndex === 0">
                  <img @click="clearFieldStyles()" class="car-scheme__img" src="{% static 'front-elements.png' %}"/>
                  <label  v-for="(field, fieldIndex) in group.fields" v-if="isActive(field)">
                      <div  v-if="!field.styles" class="car-scheme__area" :data-id="field.data_id" @click="onMarkerClick(field.data_id)" :style="{top : field.top + '%', left : field.left + '%'}">
                        <div class="car-scheme__marker" :class="{'car-scheme__marker_negative': markerIsNegative(0, `${ field.data_id}`), 'car-scheme__marker_positive': markerIsPositive(0, `${field.data_id}`)}"></div>
                      </div>
                      <div  v-if="field.styles"  class="car-scheme__area" :data-id="field.data_id" @click="onMarkerClick(field.data_id)"  v-for="(style, styleIndex) in field.styles" :style="{top : style.top + '%', left : style.left + '%'}">
                        <div class="car-scheme__marker" :class="{'car-scheme__marker_negative': markerIsNegative(0, `${ field.data_id}`), 'car-scheme__marker_positive': markerIsPositive(0, `${field.data_id}`)}"></div>
                      </div>
                  </label>                                         
              </div>
          </div>
          <div v-for="(field, fieldIndex) in group.fields" :data-id="field.data_id" v-if="isActive(field)" class="report-field report-field_diagnosis"
                           :class="{
                           'report-field_active': isActive(field),
                           'report-field_positive': isPositive(field),
                           'report-field_negative': isNegative(field)
                           }">
              <div v-if="field.type == 'body'" class="report-field__header">
                  <h5 class="report-field__title">${ field.label }</h5>
                  <div class="report-field__controls">
                      <label class="check check_binary check_binary_fail"
                      :data-id="'element_' + field.data_id"
                      >
                          <input v-model="field.value" :value="false" type="radio" disabled/>
                          <div class="check__icon icon icon_m icon_fail icon_circle">
                              <svg>
                                  <use xlink:href="#icon_close_24"></use>
                              </svg>
                          </div>
                      </label>
                      <label class="check check_binary check_binary_success"
                      :data-id="'element_' + field.data_id"
                      >
                          <input v-model="field.value" :value="true" type="radio" disabled
                          v-on:click="onUncheckField($event, field.data_id, groupIndex, fieldIndex)"
                          />
                          <div class="check__icon icon icon_m icon_success icon_circle">
                              <svg>
                                  <use xlink:href="#icon_check_24"></use>
                              </svg>
                          </div>
                      </label>
                  </div>
              </div>
              <div v-if="field.type == 'body'" class="report-field__body">
                  <div v-if="!field.value" class="report-field__control report-field__control_negative">
                      <div v-if="field.negative.type == 'checkbox'" class="list list_xs">
                          <div v-for="item in field.negative.items" class="list__item">
                              <label class="check check_m check_default">
                                  <input v-model="item.value" type="checkbox" disabled/>
                                  <div class="check__icon"></div>
                                  <div class="check__title">${ item.label }</div>
                              </label>
                          </div>
                      </div>
                      <div v-else-if="field.negative.type == 'radio'" class="list list_xs">
                          <div v-for="item in field.negative.items" class="list__item">
                              <label class="check check_m check_default">
                              <input :value="item.label" v-model="field.negative.value" type="radio" disabled/>
                                  <div class="check__icon"></div>
                                  <div class="check__title">${ item.label }</div>
                              </label>
                          </div>
                      </div>
                  </div>
                  <div class="report-field__control report-field__control_negative field">
                      <div class="field__control control control_default control_m">
                          <textarea v-model="field.comment" class="report-field__comment" readonly></textarea>
                      </div>
                  </div>
              </div>
          </div>
                    </div>
  </div>
</span>